EDIT - task #8201

test all delete functionality in the RegistrationUl
03/22/2019 02:39 PM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Phycobank ready for submitters

Severity: major

Description

Related issues:
Related to EDIT - bug #8377: TypeDesignationsEditors: Delete must not be allo... Closed

History

#1 - 04/25/2019 01:18 PM - Andreas Kohlbecker

- Target version changed from Release 5.7 to Release 5.8

#2 - 07/04/2019 12:48 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#3 - 07/08/2019 10:36 AM - Wolf-Henning Kusber
- File picture949-1.png added

Saved specimen type in Registration (preparation): full functionality.
Saved name specimen type in Registration (preparation): full functionality.

Saved name: Delete button is available, delete functionality is not available, but gives back the following error (screenshot).

Registration Workingset Editor

chrift far Pfutzenkunde

Add a new registration for a new name or an

For most names that already «xist in the system it is only possible fo create a registration covering type designations. In all other cases please choose
registration for the nomencle tural reference of the name to be registered.

The delete operation as abborded by the system.

Exceptions:

= Name can't be deleted as it is used in concept(s). Remove or change concept prior to deletion

#4 - 07/08/2019 10:43 AM - Wolf-Henning Kusber

Article not linked to any registration can be deleted without problem.

#5 - 07/08/2019 10:50 AM - Wolf-Henning Kusber
- File picture257-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
Delete button is available for references with registrations. Trying to delete (which realy does not any sense) produced the following error.
Question: should we omitt this button for references with registrations?
For references without registrations deletion is functioning and makes sense, see above)

An error has occurred

Please contact for support and more information.

To help analyzing the problem please describe your actions that lead to this error and provide the error details from below in
your email. You also might want to add a sreenshot of the browser page in error.

com.vaadin.server.ServerRpcManager$RpcInvocationException: Unable to invoke method click in com.vaadin.shared.
ui.button.ButtonServerRpc

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:162)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:402)

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHandler. java:90

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:41)
at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)
session.

handler.
.handler.
handler.
Server.handle (Server.java:497)

.Java:176)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330
120)

java:

.authentication.logout.LogoutFilter.doFilter (LogoutFilter. java:
.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. 330

.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter. java:64)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInterna
:53)

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.FilterChainProxy.doFilterInternal (FilterChainProxy. java:213)
.FilterChainProxy.doFilter (FilterChainProxy. java:176)

web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. java:346)
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:262)
eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:12

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
.servlet.ServletHandler.doHandle (ServletHandler. java:585)

.ScopedHandler.handle (ScopedHandler. java:143)

security.SecurityHandler.handle (SecurityHandler. java:577)

.SessionHandler.doHandle (SessionHandler. java:223)
.ContextHandler.doHandle (ContextHandler. java:1127)

servlet.ServletHandler.doScope (ServletHandler. java:515)

SessionHandler.doScope (SessionHandler. java:185)
.ContextHandler.doScope (ContextHandler. java:1061)
ScopedHandler.handle (ScopedHandler. java:141)
ContextHandlerCollection.handle (ContextHandlerCollection. java:215)
HandlerWrapper.handle (HandlerWrapper. java:97)
at org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection.java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)
Caused by: java.lang.reflect.InvocationTargetException

at sun.reflect.GeneratedMethodAccessorl446.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

... 66 more
Caused by: com.vaadin.event.ListenerMethod$MethodException: Invocation of method buttonClick in eu.etaxonomy.v
aadin.mvp.AbstractPopupEditor$$Lambda$96/1738621814 failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button. java:54)

... 70 more
Caused by: org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer.java:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvsteca_63.getNomenclaturalTitle (TeamOrPersonBase_$$_7J
vsteca_63. java)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorAndExAuthor (TaxonNameDefaul
tCacheStrategy.java:255)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getNonCacheAuthorshipCache (TaxonName
DefaultCacheStrategy.java:197)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorshipCache (TaxonNameDefaultC
acheStrategy.java:171)

at eu.etaxonomy.cdm.model.name.TaxonName.updateAuthorshipCache (TaxonName. java:3605)

at eu.etaxonomy.cdm.model.name.TaxonName.getTitleCache (TaxonName. java:1504)

at eu.etaxonomy.cdm.service.CdmStore.lambdas$handleDeleteresultInError$l (CdmStore. java:156)

at java.lang.Iterable.forEach(Iterable.java:75)

at eu.etaxonomy.cdm.service.CdmStore.handleDeleteresultInError (CdmStore. java:153)

at eu.etaxonomy.cdm.service.CdmStore.deleteBean (CdmStore. java:126)

at eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.deleteBean (CdmEditorPresenterBase. java:287)

at eu.etaxonomy.vaadin.mvp.AbstractEditorPresenter.onEditorDeleteEvent (AbstractEditorPresenter.java:118)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper.java:78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection. java:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.delete (AbstractPopupEditor. java:428)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambdaSnew$fad408e6$3 (AbstractPopupEditor.java:184)

at sun.reflect.GeneratedMethodAccessorl434.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

75 more

#6 - 07/08/2019 11:02 AM - Wolf-Henning Kusber
Wolf-Henning Kusber wrote:

Article not linked to any registration can be deleted without problem.

... but is not deleted

Kusber: Uberfliissige Arbeit
Kusber Zweiter Uberflissiger Beitrag

The first reference appeared in the reference dropdown list.
The second entry was entered without author than deleted. The "delete" title was searched by "tUberflissiger" and processed by adding the author
"Kusber". After saving the article was opened again, "delete" button was clicked without any result.

#7 - 07/17/2019 08:44 AM - Andreas Kohlbecker
- Related to bug #8377: TypeDesignationsEditors: Delete must not be allowe before the workingset is saved added

#8 - 07/19/2019 03:07 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#9 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#10 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#11 - 01/16/2020 11:54 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#12 - 03/10/2020 09:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#13 - 04/08/2020 04:10 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#14 - 06/23/2020 02:05 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#15 - 09/29/2020 12:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Phycobank ready for submitters

#16 - 02/22/2022 05:34 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#17 - 03/01/2023 01:11 PM - Andreas Miiller

- Tags changed from phycobank to phycobank, phycobank-ready-for-submitters

#18 - 03/01/2023 01:13 PM - Andreas Miiller

- Status changed from New to In Progress

#19 - 03/01/2023 01:43 PM - Wolf-Henning Kusber
- File display_deleted_reference.PNG added

Test in Vaadin test (20023-03-01):

Article not linked to any registration can be deleted without problem.

... but is not deleted in the drop down list

Article consists of

select "empty team"

Title: Titel zum Lé&schen

Journal: Zeitschrift fur Tompelkunde

Reference databased
Reference deleted

Search for "titel zum Léschen" found immediately in the drop down menue "Choose from existing publications" and "contains"
New Registration

Any valid nomenclatural act can only be etablished in a publication. To start a new registration process, please choose an existing one or create a new publication.

Choose from existing publications Create a new publication

| New

-empty team-Titel zum Loschen. — Zeitschrift fir Tumpelkunde

#20 - 03/01/2023 01:44 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Mdiller

#21 - 03/01/2023 02:42 PM - Andreas Miiller
WHK:

All above issues are solved except for #note-19 (Eine Reference ist in der Cache-Anzeige nachdem sie geldscht wurde (zwar nicht mehr auswéahlbar
aber in der Anzeige)

Files

picture949-1.png 67.7 KB 07/08/2019 Wolf-Henning Kusber
picture257-1.png 73.5 KB 07/08/2019 Wolf-Henning Kusber
display_deleted_reference.PNG 30.7 KB 03/01/2023 Wolf-Henning Kusber
